create table 
sys.filestat 
(
samp_date          date,
elapsed_seconds    number(4),
mount_point        varchar2(30),
tablespace_name    varchar2(30),
file_name          varchar2(30),
phys_reads         number,
phys_blks_rd       number,
phys_rd_time       number,
phys_writes        number,
phys_blks_wr       number,
phys_wrt_tim       number 
)
tablespace monitor_ts
storage (initial 50m next 5m )
;

create index 
sys.filestat_date_idx
on 
sys.filestat
(samp_date)
tablespace monitor_ts
storage (initial 10m next 1m)
;


create index
sys.filestat_mount_point_idx
on
sys.filestat
(mount_point)
tablespace monitor_ts
storage (initial 10m next 1m)
;
create table 
sys.iostat 
(
samp_date          date,
elapsed_seconds    number(4),
hdisk              varchar2(8),
kb_read            number(9,0),
kb_write           number(9,0)
)
tablespace monitor_ts
storage (initial 20m next 1m )
;

create index 
sys.iostat_date_idx
on 
sys.iostat
(samp_date)
tablespace monitor_ts
storage (initial 5m next 1m)
;

create index
sys.iostat_hdisk_idx
on
sys.iostat
(hdisk)
tablespace monitor_ts
storage (initial 5m next 1m)
;
create table 
sys.sum_filestat 
(
samp_date          date,
mount_point        varchar2(30),
elapsed_seconds    number(4),
phys_blks_rd       number,
phys_blks_wr       number,
phys_rd_time       number,
phys_wrt_tim       number 
)
tablespace monitor_ts
storage (initial 10m next 5m )
;

create index 
sys.sum_filestat_date_idx
on 
sys.sum_filestat
(samp_date)
tablespace monitor_ts
storage (initial 10m next 1m)
;


create index
sys.sum_filestat_mount_point_idx
on
sys.sum_filestat
(mount_point)
tablespace monitor_ts
storage (initial 10m next 1m)
;
create table 
sys.sum_iostat 
(
samp_date          date,
mount_point        varchar2(30),
elapsed_seconds    number(4),
kb_read            number(9,0),
kb_write           number(9,0)
)
tablespace monitor_ts
storage (initial 10m next 1m )
;

create index 
sys.sum_iostat_date_idx
on 
sys.sum_iostat
(samp_date)
tablespace monitor_ts
storage (initial 5m next 1m)
;

create index
sys.sum_iostat_mount_point_idx
on
sys.sum_iostat
(mount_point)
tablespace monitor_ts
storage (initial 5m next 1m)
;
create table 
sys.vol_grp 
(
mount_point        varchar2(30),
vol_grp            varchar2(14),
hdisk              varchar2(8)
)
tablespace monitor_ts
storage (initial 2k next 2k)
;

create index
sys.vol_grp_mount_point_idx
on
sys.vol_grp
(mount_point)
tablespace monitor_ts
storage (initial 8k next 8k)
;

create index
sys.vol_grp_hdisk_idx
on
sys.vol_grp
(vol_grp)
tablespace monitor_ts
storage (initial 8k next 8k)
;

