set pages 999;
column c0 heading 'date'        format a11
column c1 heading 'Mount Pt.'   format a9
column c2 heading 'MP Reads'    format 999,999
column c3 heading 'MP Writes'   format 999,999
column c4 heading 'File name'   format a20
column c5 heading 'File Reads'  format 999,999
column c6 heading 'Pct'         format 999,999

set timing on;

break on c0 skip 2

spool v2.lst;

select /*+ parallel(sys.sum_filestat 4) */
   to_char(a.samp_date,'MM/DD HH24:MI') c0,
   a.mount_point     c1,
   a.phys_blks_rd    c2,
   b.file_name       c4,
   b.phys_blks_rd    c5,
   (b.phys_blks_rd/a.phys_blks_rd)*100 c6
from 
   sys.filestat b,
   sys.sum_filestat a
where
   a.mount_point = b.mount_point
and
   to_char(a.samp_date,'YYYY-MM-DD-HH24-MI') = 
   to_char(b.samp_date,'YYYY-MM-DD-HH24-MI')  
and
   (b.phys_blks_rd/a.phys_blks_rd)*100 > 50
and 
   a.phys_blks_rd <> 0
order by 
   to_char(a.samp_date,'MM-DD-HH24-MI'),
   a.mount_point
;

spool off;
