set pages 999;
column c0 heading 'date'        format a11
column c1 heading 'Mount Pt.'   format a9
column c2 heading 'MP Reads'    format 999,999
column c3 heading 'MP Writes'   format 999,999
column c4 heading 'Disk name'   format a20
column c5 heading 'Disk Reads'  format 999,999
column c6 heading 'Pct'         format 999,999

set timing on;

break on c0 skip 2

spool v4.lst;

select
   to_char(a.samp_date,'MM/DD HH24:MI') c0,
   a.mount_point      c1,
   a.kb_read          c2,
   b.hdisk            c4,
   b.kb_read          c5,
   (b.kb_read/a.kb_read)*100 c6
from 
   sys.iostat     b,
   sys.vol_grp    c,
   sys.sum_iostat a
where
   a.mount_point = c.mount_point
and
   c.hdisk = b.hdisk
and
   to_char(a.samp_date,'YYYY-MM-DD-HH24-MI') = 
   to_char(b.samp_date,'YYYY-MM-DD-HH24-MI')  
and
   (b.kb_read/a.kb_read)*100 > 50
and 
   a.kb_read <> 0
order by 
   to_char(a.samp_date,'MM-DD-HH24-MI'),
   a.mount_point
;
